Bug 536099 - (RHQ-486) PC: add methods in InventoryManager for doing service and server scans rooted at a particular Resource
PC: add methods in InventoryManager for doing service and server scans rooted...
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: Plugin Container (Show other bugs)
1.0
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Ian Springer
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks: rhq-perf
  Show dependency treegraph
 
Reported: 2008-05-15 13:12 EDT by Ian Springer
Modified: 2013-08-05 20:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 17:08:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2008-05-15 13:12:00 EDT
The current executeServerScanImmediately() method will scan for all server Resource types, and the current executeServiceScanImmediately() will scan all server Resources for services. In a number of scenarios, we need to refresh only a certain server Resource type (e.g. when a patch has been applied to a server Resource and we need to update its version) or only the services below a certain server Resource (e.g. when a patch has been applied to a server Resource and we need to update its child Resources' versions, or when a server Resource's plugin config has been changed and we need to rescan it for child services). In these cases, for efficiency/performance sake, we should provide new methods in InventoryManager for scanning only what is necessary and use those methods instead.
Comment 1 Joseph Marques 2008-07-20 12:48:59 EDT
ian, before you do performance testing for bi-directional agent-server inventory sync, can you see if you can sneak this in?  it's related work, so one test cycle could verify both of them.
Comment 2 Red Hat Bugzilla 2009-11-10 16:10:19 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-486
This bug is related to RHQ-417
Comment 3 Jay Shaughnessy 2013-02-26 17:08:01 EST
Closing due to inactivity. No known issues here at the moment.

Note You need to log in before you can comment on or make changes to this bug.